Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/deletedByInference/deletedByInference.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/deletedByInference/deletedByInference.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/deletedByInference/deletedByInference.component.ts	(revision 55964)
@@ -2,7 +2,7 @@
 import {ElementRef, Input}            from '@angular/core';
 import {ActivatedRoute, Router}       from '@angular/router';
 
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 import {EnvProperties}                from '../../../utils/properties/env-properties';
 import {DeletedByInferenceResult}     from '../../../utils/entities/deletedByInferenceResult';
@@ -11,9 +11,9 @@
 
 import {DeletedByInferenceService}    from './deletedByInference.service';
 
-//import {zip} from 'rxjs';
-import 'rxjs/add/observable/zip';
+import {zip} from 'rxjs';
 
+
 @Component({
     selector: 'deletedByInference',
     template: `
@@ -152,7 +152,7 @@
         allRequests.push(this._deletedByInferenceService.getDeletedByInferencePublications(id, this.properties));
       }
 
-      Observable.zip.apply(null, allRequests).subscribe(
+      zip.apply(null, allRequests).subscribe(
      //   this._deletedByInferenceService.getDeletedByInferencePublications(id, this.properties).subscribe(
          data => {
            this.results = data;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/subscribe/subscribe.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/subscribe/subscribe.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/subscribe/subscribe.service.ts	(revision 55964)
@@ -1,31 +1,34 @@
 import { Injectable } from '@angular/core';
 import { Http, Response, Headers, RequestOptions } from '@angular/http';
-import { Observable } from 'rxjs/Rx';
+import { HttpClient } from '@angular/common/http';
+import { HttpHeaders } from '@angular/common/http';
+import { Observable } from 'rxjs';
 import {COOKIE} from "../../login/utils/helper.class"
+import { map } from "rxjs/operators";
+import {CustomOptions} from "../../services/servicesUtils/customOptions.class";
 
-
 @Injectable()
 export class SubscribeService {
 
-  constructor(private http:Http) {
+  constructor(private http:HttpClient) {
     }
      getCommunitySubscribers(pid:string, url:string){
-       return this.http.get(url+"/community/"+pid+"/subscribers")
-                       .map(res => <any> res.json());
+       return this.http.get<any>(url+"/community/"+pid+"/subscribers");
+                       //.map(res => <any> res.json());
      }
 
      isSubscribedToCommunity(pid:string, email:string, url:string){
        return this.http.get(url+"/community/"+pid+"/subscribers")
-                       .map(res =>  ((<any>res =="")?{}:<any> res.json()))
+                       //.map(res =>  ((<any>res =="")?{}:<any> res.json()))
 
-                       .map(res => {
-                         if(res.status && res.status != 200) {
+         .pipe(map(res => {
+                         if(res['status'] && res['status'] != 200) {
                            return null;
                          }
-                         if(res.subscribers && res.subscribers != null){
+                         if(res['subscribers'] && res['subscribers'] != null){
 
-                           for(var i =0; i< res.subscribers.length; i++ ){
-                             if(res.subscribers[i]!=null && res.subscribers[i].email == email){
+                           for(var i =0; i< res['subscribers'].length; i++ ){
+                             if(res['subscribers'][i]!=null && res['subscribers'][i].email == email){
                                return true;
                              }
                            }
@@ -32,23 +35,24 @@
                          }
                          return false;
 
-                       });
+                       }));
      }
      subscribeToCommunity(pid:string, email:string, url:string){
        var subscriber = {"email":email};
-       return this.http.post(url+"/community/"+pid+"/subscribers", JSON.stringify(subscriber), this.getAuthOptionsWithBody())
-           .map(res => <any> res.json());
+       return this.http.post<any>(url+"/community/"+pid+"/subscribers", JSON.stringify(subscriber), CustomOptions.getAuthOptionsWithBody());
+           //.map(res => <any> res.json());
      }
      unSubscribeToCommunity(pid:string, email:string, url:string){
 
-       return this.http.post(url+"/community/"+pid+"/subscribers/delete", JSON.stringify([email]), this.getAuthOptionsWithBody())
-           .map(res => <any> res.json());
+       return this.http.post<any>(url+"/community/"+pid+"/subscribers/delete", JSON.stringify([email]),  CustomOptions.getAuthOptionsWithBody());
+           //.map(res => <any> res.json());
      }
      getCommunitiesSubscribedTo(email:string, url:string){
-      return this.http.get(url+"/subscriber/communities?email="+email)
-                     .map(res => <any> res.json());
+      return this.http.get<any>(url+"/subscriber/communities?email="+email);
+                     //.map(res => <any> res.json());
      }
 
+     /*
      public getAuthOptionsWithBody():RequestOptions{
      let headers = new Headers();
      headers.append('Content-Type', 'application/json');
@@ -56,5 +60,14 @@
      let options = new RequestOptions({ headers: headers, withCredentials:true  });
        return options;
      }
+    */
 
+  public getAuthOptionsWithBody():any {
+    return {
+      headers: new HttpHeaders({
+        'Content-Type': 'application/json',
+        'X-XSRF-TOKEN': COOKIE.getCookie(COOKIE.cookieName_id)
+      }), withCredentials: true
+    };
+  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/configuration/configuration.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/configuration/configuration.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/configuration/configuration.service.ts	(revision 55964)
@@ -1,20 +1,21 @@
 import {Injectable} from '@angular/core';
 import {Http, Response, Headers} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/operator/mapTo';
-import 'rxjs/add/observable/of';
+import {HttpClient} from "@angular/common/http";
+import {Observable}     from 'rxjs';
+
+
 // import 'rxjs/add/operator/do';
 // import 'rxjs/add/operator/share';
-import { mapTo } from 'rxjs/operators';
+import {map, mapTo} from 'rxjs/operators';
 
 @Injectable()
 export class ConfigurationService {
 
 
-   constructor(private http: Http ) {}
+   constructor(private http: HttpClient ) {}
    getCommunityInformation(APIUrl:string, community:string){
-     return this.http.get(APIUrl + "/communityFull/" + community)
-               .map(res => res.json());
+     return this.http.get(APIUrl + "/communityFull/" + community);
+               //.map(res => res.json());
    }
 
    isEntityEnabled(APIUrl:string, community:string,entity: string){
@@ -26,32 +27,33 @@
     //  }
     //  return Observable.of(new Object()).mapTo(true);
      return this.http.get(APIUrl + "/page")
-               .map(res => true);
+               .pipe(map(res => true));
    }
 
    isPageEnabled(APIUrl:string, community:string,router: string){
       return this.http.get(APIUrl + "/community/" + community+"/pages?page_route="+router)
-              .map(res => res.json()).map(res => {
+              //.map(res => res.json())
+              .pipe(map(res => {
                 let result = false;
-                if(res.length >0 && res[0].route == router){
+                if(res['length'] >0 && res[0].route == router){
                   result =  res[0].isEnabled;
                 }
 
                 return result;
-              });//.do(res => {console.log("Route "+router +" is "+res)});
+              }));//.do(res => {console.log("Route "+router +" is "+res)});
    }
 
    getMainPageContent(APIUrl:string, community:string,){
      return this.http.get(APIUrl + "/page")
-               .map(res => true);
+               .pipe(map(res => true));
    }
    getSpecialAnouncementContent(APIUrl:string, community:string,){
      return this.http.get(APIUrl + "/page")
-               .map(res => "");
+               .pipe(map(res => ""));
    }
    getHelpPageContent(APIUrl:string, community:string, router:string){
      return  this.http.get(APIUrl + "/page")
-               .map(res => true);
+               .pipe(map(res => true));
    }
     // private handleError (error: Response) {
     // // in a real world app, we may send the error to some remote logging infrastructure
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/my-date-picker/my-date-picker.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/my-date-picker/my-date-picker.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/my-date-picker/my-date-picker.component.ts	(revision 55964)
@@ -118,7 +118,9 @@
     constructor(public elem: ElementRef, private renderer: Renderer, private cdr: ChangeDetectorRef, private localeService: LocaleService, private utilService: UtilService) {
         this.setLocaleOptions();
         renderer.listenGlobal("document", "click", (event: any) => {
-            if (this.showSelector && event.target && this.elem.nativeElement !== event.target && !this.elem.nativeElement.contains(event.target)) {
+        //renderer.listen("document", "click", (event: any) => {
+console.info("listen global");
+        if (this.showSelector && event.target && this.elem.nativeElement !== event.target && !this.elem.nativeElement.contains(event.target)) {
                 this.showSelector = false;
                 this.calendarToggle.emit(4);
             }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/piwik/previousRouteRecorder.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/piwik/previousRouteRecorder.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/piwik/previousRouteRecorder.guard.ts	(revision 55964)
@@ -1,7 +1,7 @@
 
 import { Injectable } from '@angular/core';
 import { CanDeactivate, Router} from '@angular/router';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 
 @Injectable() // do not forget to register this class as a provider
 export class PreviousRouteRecorder implements CanDeactivate<any> {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchDatasets.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchDatasets.class.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchDatasets.class.ts	(revision 55964)
@@ -3,7 +3,7 @@
 import {ErrorMessagesComponent}    from '../../utils/errorMessages.component';
 import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
 import {DOI} from '../../utils/string-utils.class';
-import {Subject} from 'rxjs/Subject';
+import {Subject} from 'rxjs';
 import{EnvProperties} from '../../utils/properties/env-properties';
 import {StringUtils} from '../../utils/string-utils.class';
 export class FetchDatasets{
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communities/communities.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communities/communities.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/connect/communities/communities.service.ts	(revision 55964)
@@ -1,9 +1,11 @@
 import {Injectable} from '@angular/core';
 import {Http} from '@angular/http';
+import {HttpClient} from "@angular/common/http";
 
 import {CommunityInfo} from '../community/communityInfo';
 import {EnvProperties} from '../../utils/properties/env-properties';
 import {BehaviorSubject, Observable} from "rxjs";
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class CommunitiesService {
@@ -10,7 +12,7 @@
 
     public communities: BehaviorSubject<CommunityInfo[]> = null;
 
-    constructor(private http: Http) {
+    constructor(private http: HttpClient) {
         this.communities = new BehaviorSubject([]);
     }
 
@@ -26,7 +28,8 @@
 
     getCommunities(properties: EnvProperties, url: string) {
         return this.http.get((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url)
-                        .map(res => <any> res.json()).map(res => this.parseCommunities(res));
+                        //.map(res => <any> res.json())
+                        .pipe(map(res => this.parseCommunities(res)));
     }
 
     parseCommunities(data: any): CommunityInfo[] {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 55964)
@@ -1,17 +1,19 @@
 import {Injectable} from '@angular/core';
 import {Http, Response,Headers, RequestOptions} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse, HttpHeaders} from "@angular/common/http";
+import {Observable, throwError} from 'rxjs';
 import {DataProviderInfo} from '../../utils/entities/dataProviderInfo';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
 import{EnvProperties} from '../../utils/properties/env-properties';
+import {map} from "rxjs/operators";
 
 
 @Injectable()
 export class DataProviderService {
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     dataProviderInfo: DataProviderInfo;
 
@@ -20,9 +22,9 @@
         let key = url;
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => res['result']['metadata']['oaf:entity'])
-                    .map(res => [res['oaf:datasource'],
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => res['result']['metadata']['oaf:entity']))
+                    .pipe(map(res => [res['oaf:datasource'],
                                  res['oaf:datasource']['datasourcetype'],
                                  res['oaf:datasource']['openairecompatibility'],
                                  res['oaf:datasource']['collectedfrom'],
@@ -29,28 +31,34 @@
                                  res['oaf:datasource']['accessinfopackage'],
                                  res['oaf:datasource']['rels']['rel'],
                                  res['oaf:datasource']['journal'] //6
-                     ])
-                     .map(res => this.parseDataProviderInfo(res));
+                     ]))
+                     .pipe(map(res => this.parseDataProviderInfo(res)));
 
     }
 
     getDataproviderAggregationStatus(original_id: string, properties:EnvProperties):any {
-        let headers = new Headers({'Content-Type': 'application/json', 'accept': 'application/json'});
-        let options = new RequestOptions({headers: headers});
+        //let headers = new Headers({'Content-Type': 'application/json', 'accept': 'application/json'});
+        //let options = new RequestOptions({headers: headers});
 
-        let page: number = 0;
+      const options = {
+        headers: new HttpHeaders({
+          'Content-Type': 'application/json',
+          'accept': 'application/json'})
+      };
+
+      let page: number = 0;
         let size: number = 1;
         return this.http.post(properties.datasourcesAPI+page+"/"+size+"?requestSortBy=id&order=ASCENDING", JSON.stringify({ "id": original_id }), options)
-            .map(res => <any> res.json())
-            .map(res => res['datasourceInfo'])
-            .map(res => this.parseDataproviderAggregationStatus(res));
+            //.map(res => <any> res.json())
+            .pipe(map(res => res['datasourceInfo']))
+            .pipe(map(res => this.parseDataproviderAggregationStatus(res)));
     }
 
-    private handleError (error: Response) {
+    private handleError (error: HttpErrorResponse) {
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
         console.log(error);
-        return Observable.throw(error  || 'Server error');
+        return throwError(error  || 'Server error');
     }
 
     parseDataproviderAggregationStatus(data: any): any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataset/dataset.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataset/dataset.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/dataset/dataset.service.ts	(revision 55964)
@@ -1,18 +1,20 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {Observable, throwError} from 'rxjs';
 import {DatasetInfo} from '../../utils/entities/datasetInfo';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
 import{EnvProperties} from '../../utils/properties/env-properties';
 
 import { ParsingFunctions } from '../landing-utils/parsingFunctions.class';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class DatasetService {
 
-  constructor(private http: Http ) {
+  constructor(private http: HttpClient ) {
     this.parsingFunctions = new ParsingFunctions();
   }
 
@@ -26,9 +28,9 @@
 
 
     return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['result']['header']['dri:status'], res['result']['metadata']['oaf:entity']['oaf:result'],res])
-                    .map(res => [res[1],  //0
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['result']['header']['dri:status'], res['result']['metadata']['oaf:entity']['oaf:result'],res]))
+                    .pipe(map(res => [res[1],  //0
                                  res[1]['title'],   //1
                                  res[1]['rels']['rel'], //2
                                  res[1]['children'],  //3
@@ -45,14 +47,15 @@
                                  res[2], //13
                                  (res[1]['extraInfo']!= undefined && res[1]['extraInfo']['citations']!= undefined)? res[1]['extraInfo']['citations']['citation']:null, //14
                                   res[1]['journal'] //15
-                    ]).map(res => this.parseDatasetInfo(res, properties));
+                    ]))
+                    .pipe(map(res => this.parseDatasetInfo(res, properties)));
   }
 
-  private handleError (error: Response) {
+  private handleError (error: HttpErrorResponse) {
   // in a real world app, we may send the error to some remote logging infrastructure
   // instead of just logging it to the console
     console.log(error);
-    return Observable.throw(error  || 'Server error');
+    return throwError(error  || 'Server error');
   }
 
   parseDatasetInfo (data: any, properties: EnvProperties):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/htmlProjectReport/htmlProjectReport.service.ts	(revision 55964)
@@ -1,12 +1,14 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/operator/do';
+import {HttpClient} from "@angular/common/http";
+import {Observable}     from 'rxjs';
 
+import {map} from "rxjs/operators";
+
 @Injectable()
 export class HtmlProjectReportService {
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     getHTML(id: string, size: number, type:string, csvAPIURL: string ):any {
 
@@ -32,6 +34,9 @@
         let key = url;
 
         return this.http.get(url)
-                    .map(res => <any> res.text());
+                    .pipe(map(res => {
+                      let resText:any = res;
+                      return resText.text();
+                    }));
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/deletedByInference/deletedByInference.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/deletedByInference/deletedByInference.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/deletedByInference/deletedByInference.service.ts	(revision 55964)
@@ -1,21 +1,15 @@
 import {Injectable} from '@angular/core';
-import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient} from "@angular/common/http";
 import {DeletedByInferenceResult} from '../../../utils/entities/deletedByInferenceResult';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
-import 'rxjs/add/operator/map';
-import{EnvProperties} from '../../../utils/properties/env-properties';
+import {EnvProperties} from '../../../utils/properties/env-properties';
+import {ParsingFunctions} from '../parsingFunctions.class';
+import {map} from "rxjs/operators";
 
-
-import { ParsingFunctions } from '../parsingFunctions.class';
-
 @Injectable()
 export class DeletedByInferenceService {
   private sizeOfDescription: number = 270;
 
-  constructor(private http: Http ) {
+  constructor(private http: HttpClient ) {
     this.parsingFunctions = new ParsingFunctions();
   }
 
@@ -26,9 +20,9 @@
     let key = url;
 
     return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                .map(res => <any> res.json())
-                .map(res => res['result']['metadata']['oaf:entity'])
-                .map(res => this.parseDeletedByInferencePublications(res, properties));
+                //.map(res => <any> res.json())
+                .pipe(map(res => res['result']['metadata']['oaf:entity']))
+                .pipe(map(res => this.parseDeletedByInferencePublications(res, properties)));
   }
 
   parseDeletedByInferencePublications (result: any, properties: EnvProperties): DeletedByInferenceResult {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/software/software.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/software/software.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/software/software.service.ts	(revision 55964)
@@ -1,18 +1,15 @@
 import {Injectable} from '@angular/core';
-import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {throwError} from 'rxjs';
 import {SoftwareInfo} from '../../utils/entities/softwareInfo';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
-import{EnvProperties} from '../../utils/properties/env-properties';
+import {EnvProperties} from '../../utils/properties/env-properties';
+import {ParsingFunctions} from '../landing-utils/parsingFunctions.class';
+import {map} from "rxjs/operators";
 
-import { ParsingFunctions } from '../landing-utils/parsingFunctions.class';
-
 @Injectable()
 export class SoftwareService {
 
-  constructor(private http: Http ) {
+  constructor(private http: HttpClient ) {
     this.parsingFunctions = new ParsingFunctions();
   }
 
@@ -26,9 +23,9 @@
 
 
     return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    .map(res => <any> res.json())
-                    .map(res => [res['result']['header']['dri:status'], res['result']['metadata']['oaf:entity']['oaf:result'], res])
-                    .map(res => [res[1],
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => [res['result']['header']['dri:status'], res['result']['metadata']['oaf:entity']['oaf:result'], res]))
+                    .pipe(map(res => [res[1],
                                  res[1]['title'],
                                  res[1]['rels']['rel'],
                                  res[1]['children'],
@@ -45,14 +42,15 @@
                                  res[1]['programmingLanguage'],
                                  res[2],
                                 res[1]['journal'] //15
-                    ]).map(res => this.parseSoftwareInfo(res, properties));
+                    ]))
+                    .pipe(map(res => this.parseSoftwareInfo(res, properties)));
   }
 
-  private handleError (error: Response) {
+  private handleError (error: HttpErrorResponse) {
   // in a real world app, we may send the error to some remote logging infrastructure
   // instead of just logging it to the console
     console.log(error);
-    return Observable.throw(error  || 'Server error');
+    return throwError(error  || 'Server error');
   }
 
   parseSoftwareInfo (data: any, properties: EnvProperties):any {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entitiesAutoComplete/entitiesAutoComplete.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entitiesAutoComplete/entitiesAutoComplete.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entitiesAutoComplete/entitiesAutoComplete.component.ts	(revision 55964)
@@ -1,11 +1,12 @@
+
+import {switchMap, distinctUntilChanged, debounceTime} from 'rxjs/operators';
 import {Component, ElementRef, Input, Output, EventEmitter, OnChanges, SimpleChange} from '@angular/core';
-import {Observable} from 'rxjs/Observable';
-import {Subject} from 'rxjs/Subject';
+import {Observable, Subject} from 'rxjs';
 import {Value} from '../../searchPages/searchUtils/searchHelperClasses.class';
 import {EntitiesSearchService} from './entitySearch.service';
 import{EnvProperties} from '../properties/env-properties';
-import 'rxjs/add/operator/debounceTime';
-import 'rxjs/add/operator/distinctUntilChanged';
+
+
 //Usage example
 //<static-autocomplete [(filtered)] =filtered [(selected)] =selected placeHolderMessage = "Search for countries" title = "Countries:" (keywordChange)="keywordChanged($event)"></static-autocomplete>
 
@@ -100,36 +101,36 @@
 
       this.showInput = true;
        if(this.entityType == "project" && this.funderId ){
-        this.filtered  = this.searchTermStream
-        .debounceTime(300).distinctUntilChanged()
-        .switchMap((term: string) =>    {
+        this.filtered  = this.searchTermStream.pipe(
+        debounceTime(300),distinctUntilChanged(),
+        switchMap((term: string) =>    {
           //console.log("funder"+this.funderId);
             var results = this._search.searchProjectsByFunder(term, (this.funderId == "0"?"":encodeURIComponent(this.funderId)), this.properties);
             this.showLoading = false;
              this.results = results.length;
             return   results;
-        });
+        }),);
       }else if(this.entityType == "organization" && this.depositType ){
-         this.filtered  = this.searchTermStream
-        .debounceTime(300).distinctUntilChanged()
-        .switchMap((term: string) => {
+         this.filtered  = this.searchTermStream.pipe(
+        debounceTime(300),distinctUntilChanged(),
+        switchMap((term: string) => {
           var results = this._search.searchByDepositType(term, this.depositType, this.properties);
           this.showLoading = false;
           this.results = results.length;
           return   results;
-      });
+      }),);
 
       }else{
 
-        this.filtered  = this.searchTermStream
-        .debounceTime(300)
-        .distinctUntilChanged()
-        .switchMap((term: string) => {
+        this.filtered  = this.searchTermStream.pipe(
+        debounceTime(300),
+        distinctUntilChanged(),
+        switchMap((term: string) => {
           var results = this._search.searchByType(term, this.entityType, this.properties);
           this.showLoading = false;
           this.results = results.length;
           return   results;
-      });
+      }),);
 
         this.getSelectedNameFromGivenId();
       }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/my-date-picker/directives/my-date-picker.focus.directive.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/my-date-picker/directives/my-date-picker.focus.directive.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/my-date-picker/directives/my-date-picker.focus.directive.ts	(revision 55964)
@@ -15,6 +15,10 @@
             return;
         }
 
+        console.info("focus");
+        /*if (typeof document !== 'undefined') {
+          this.el.nativeElement.focus();
+        }*/
         this.renderer.invokeElementMethod(this.el.nativeElement, "focus", []);
 
         // Set cursor position at the end of text if input element
